// ExportClassDesc.cpp: implementation of the CExportClassDesc class.
//
//////////////////////////////////////////////////////////////////////

#include "ExportClassDesc.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

// Class ID. These must be unique and randomly generated!!
// If you use this as a sample project, this is the first thing
// you should change!
#define EXPORT_CLASS_ID	Class_ID(0x85548e0b, 0x4a26450c)

CExportClassDesc::CExportClassDesc()
{

}

CExportClassDesc::~CExportClassDesc()
{

}

int CExportClassDesc::IsPublic()
{
	return 1;
}

void* CExportClassDesc::Create(BOOL bLoading)
{
	return new CExportClass;
}

const TCHAR* CExportClassDesc::ClassName()
{
	return GetString(IDS_CLASS_NAME);
}

SClass_ID CExportClassDesc::SuperClassID()
{
	return SCENE_EXPORT_CLASS_ID;
}

Class_ID CExportClassDesc::ClassID()
{
	return EXPORT_CLASS_ID;
}

const TCHAR* CExportClassDesc::Category()
{
	return GetString(IDS_CATEGORY);
}

TCHAR* CExportClassDesc::GetRsrcString(INT_PTR id)
{
	 return id != 0 ? (TCHAR*)id : NULL; 
}

const TCHAR* CExportClassDesc::InternalName()
{
	return _T("ExportClass");
}

HINSTANCE CExportClassDesc::HInstance()
{
	return hInstance;
}
